---
updatedAt: 2024-11-21T17:36:10.000Z
agentTools:
  projectIndex: https://developer.truckstop.com/llms.txt
---

# Search for all my posted trucks

<HTMLBlock>{`
<table style="margin:0">
	<tr>
		<th style="background:#10A54A;color:white">POST</th>
		<th style="background:#E7F6EC;color:black">
     /v13/Posting/TruckPosting.svc
    </th>
    <th style="background:#E7F6EC;color:black">
      Gets trucks posted by authenticated user.
    </th>
  </tr>
  <tr><td colspan=3><hr/></td></tr>
	<tr>
		<td>Authorization</td>
		<td colspan=2>Username, Password, & Integration ID</td>
	</tr>   
    	<tr>
		<td>SOAP Action</td>
		<td colspan=2>http://webservices.truckstop.com/v11/ITruckPosting/GetTrucks</td>
	</tr> 
	<tr>
		<td>Content Type</td>
		<td colspan=2>text/xml</td>
	</tr>
  <tr>
		<td>Accept</td>
		<td colspan=2>text/xml</td>
	</tr>
	<tr>
		<td>URL Params</td>
		<td colspan=2>None</td>
	</tr>
	<tr>
		<td>Body Params</td>
		<td colspan=2>XML data</td>
	</tr>
</table>
`}</HTMLBlock>

> 📘 Get a list of posted trucks
>
> ### Input
>
> [TruckListRequest](/reference/truckpostingrequest#trucklistrequest)
>
> ### Requirements
>
> Authentication requires an account with a valid user name, password, and integration ID that has Truck Posting Web Service enabled.
>
> ### Output
>
> [TruckListReturn](/reference/truckpostingrequest#trucklistreturn)
>
> ### Sample Request
>
> ```curl Request
> curl --location 'https://testws.truckstop.com/v13/Posting/TruckPosting.svc' \
> --header 'Content-Type: text/xml' \
> --header 'SOAPAction: http://webservices.truckstop.com/v11/ITruckPosting/GetTrucks' \
> --header 'Cookie: ASP.NET_SessionId=u4sfjts1qiiuc4ie0mxqnpmg' \
> --data '<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:v11="http://webservices.truckstop.com/v11" xmlns:web="http://schemas.datacontract.org/2004/07/WebServices">
>    <soapenv:Header/>
>    <soapenv:Body>
>       <v11:GetTrucks>
>          <v11:listRequest>
>             <web:IntegrationId>12345</web:IntegrationId>
>             <web:Password>MyPass123!</web:Password>
>             <web:UserName>MyWSUserName</web:UserName>
>          </v11:listRequest>
>       </v11:GetTrucks>
>    </soapenv:Body>
> </soapenv:Envelope>'
> ```
> ```xml Response
> <s:Envelope xmlns:s="http://schemas.xmlsoap.org/soap/envelope/">
>     <s:Body>
>         <GetTrucksResponse xmlns="http://webservices.truckstop.com/v11">
>             <GetTrucksResult xmlns:a="http://schemas.datacontract.org/2004/07/WebServices.Objects" xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
>                 <Errors xmlns="http://schemas.datacontract.org/2004/07/WebServices"/>
>                 <a:PostedTrucks>
>                     <a:TruckPost>
>                         <a:DateAvailable>2024-11-07T00:00:00</a:DateAvailable>
>                         <a:DateTruckAvailable>11/7/24</a:DateTruckAvailable>
>                         <a:DestinationCity/>
>                         <a:DestinationCountry>USA</a:DestinationCountry>
>                         <a:DestinationRadius>100</a:DestinationRadius>
>                         <a:DestinationState/>
>                         <a:EnteredUtc>2024-11-07T09:52:09.477Z</a:EnteredUtc>
>                         <a:Equipment>V</a:Equipment>
>                         <a:EquipmentOptions xmlns:b="http://schemas.datacontract.org/2004/07/Truckstop2.Objects"/>
>                         <a:Handle>Dispatch</a:Handle>
>                         <a:Id>66337780</a:Id>
>                         <a:IsDaily>false</a:IsDaily>
>                         <a:IsFull>false</a:IsFull>
>                         <a:OriginCity>seattle</a:OriginCity>
>                         <a:OriginCountry>USA</a:OriginCountry>
>                         <a:OriginRadius>100</a:OriginRadius>
>                         <a:OriginState>wa</a:OriginState>
>                         <a:TruckMultiDest/>
>                         <a:TruckNumber>144</a:TruckNumber>
>                         <a:WhenPostedUtc>2024-10-28T13:32:52.533Z</a:WhenPostedUtc>
>                     </a:TruckPost>
>                 </a:PostedTrucks>
>             </GetTrucksResult>
>         </GetTrucksResponse>
>     </s:Body>
> </s:Envelope>
> ```